Creates a new equipment_family object

Request Information

URI Parameters :

None.

Body Parameters :

equipment_family
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

name

Name of the equipment family

string

Required

Max length: 50

description

Description of the equipment family

string

Max length: 4000

code

The Id/Ref of the back office. Used by Embedded entity

string

Max length: 50

_parent_id

Parent Equipment Family (Parent / Child) when adding/updating equipment_family

globally unique identifier
_parent_code

Embedded entity "equipment_family" for parent (Parent / Child) using ERP PK when adding/updating equipment_family

string
_parent_equipment_family

Embedded entity "equipment_family" for parent (Parent / Child) when adding/updating equipment_family

equipment_family
sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating company_type

string
sales_organization

Embedded entity "sales_organization" when adding/updating company_type

sales_organization
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "ff8e992a-45dc-4fbe-8405-18ff0a5f4af3",
  "name": "sample string 2",
  "description": "sample string 3",
  "code": "sample string 4",
  "_parent_id": "fb9aca20-19ec-4acd-8789-c5e327d2824b",
  "_parent_code": "sample string 6",
  "sales_organization_id": "c48f622d-180d-4f9a-a86b-4bf51bfef199",
  "sales_organization_code": "sample string 8",
  "sales_organization": {
    "id": "8a3148c9-cba1-48f1-a67d-d6596237b30f",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "a27444a6-0777-459f-9bdc-c667dc7d6052",
    "db_currency_id": "9fab221f-b964-4fca-a277-3816fd2d5d36",
    "db_language_id": "6d9a5699-d6cd-48fa-be8e-eb036166615b",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-04-11T04:21:54.2415779+00:00"
  },
  "modified_dateutc": "2026-04-11T04:21:54.2415779+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.